-- Program name: RetailInformation.sql                                        
--                                                                     
-- Description:  Setup file for user DB2 database for the Retail Store 
--               Scenario for the IBM WebSphere Message Broker V6.0.0.3
--               Extensions, Samples, and Demos.                                             
--                                                                    
-- Statement:                     
--              (c) Copyright IBM Corp. 2005;                              
--              All Rights Reserved;                                       
--              US Government Users Restricted Rights - use,               
--              duplication or disclosure restricted by GSA                
--              ADP Schedule Contract with IBM Corp.                      
-- Function:                                        
-- This file creates a database called RETAIL for use by the 
-- Scenario for the WebSphere Message Broker Basics Redbook, 
-- connects and binds to the database, creates an  
-- ODBC connection to the database, creates tables called retailtable,
-- and puts some sample data into the "retailtable" table.               
--                                                                
-- This file connects to the database with the userID which is            
-- currently logged-on.  As a result, the schema for the tables    
-- will be userid.retailtable.  It also assumes the default DB2 instance (DB2).                          
--     
-- To run this file, ensure that DB2 is started (db2start).        
-- From a DB2 command window, issue db2 -vf RetailInformation.sql, where   
-- RetailInformation.sql is the fully-qualified path to this file.         

CONNECT TO RETAIL
DROP TABLE "DB2SCHEMA".retailtable
CREATE TABLE "DB2SCHEMA".retailtable ("ITEMID" CHAR(20) NOT NULL, "DESCRIPTION" CHAR(50) NOT NULL, "TECHDESCRIPTION" CHAR(50) NOT NULL, "ASSOCIARIES" CHAR(50) NOT NULL, "AVAILABILITY" INTEGER, "PRICE" INTEGER)

insert into "DB2SCHEMA".retailtable values('ID103','NOKIA 8830','CAMERA WITH 3 Mega Pixel, FM Radio,WAP','speaker,microphone',75,20000)
insert into "DB2SCHEMA".retailtable values('ID101','NOKIA 8810','CAMERA WITH 1 Mega Pixel, FM Radio','speaker,microphone',100,17000)
insert into "DB2SCHEMA".retailtable values('ID102','NOKIA 8820','CAMERA WITH 2 Mega Pixel, FM Radio,WAP','speaker,microphone',50,13000)